summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author K.D.Hedger2012-04-15 17:30:07 +0200
committer Erik Hanson2012-04-16 12:36:01 +0200
commitb3c67fe050c798253b507c5467d56a929e8e50b3 (patch)
tree166f1ef5364afb8b1eaa620b08b9164a26aa3d29
parente1702f5506c31535f453e1cbc7c2caeaad3f9525 (diff)
downloadslackbuilds-b3c67fe050c798253b507c5467d56a929e8e50b3.tar.gz
desktop/Xfce-Theme-Manager: Added (Xfce4 Theme Manager GUI)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--desktop/Xfce-Theme-Manager/README10
-rw-r--r--desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.SlackBuild94
-rw-r--r--desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.info10
-rw-r--r--desktop/Xfce-Theme-Manager/doinst.sh3
-rw-r--r--desktop/Xfce-Theme-Manager/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/desktop/Xfce-Theme-Manager/README b/desktop/Xfce-Theme-Manager/README
new file mode 100644
index 0000000000..2eb850afe1
--- /dev/null
+++ b/desktop/Xfce-Theme-Manager/README
@@ -0,0 +1,10 @@
+Xfce-Theme-Manager ( Xfce4 Theme Manager GUI )
+
+An integrated GUI to set the various parts of an Xfce4 theme.
+Including Meta-themes,Window borders, Gtk controls,Icons and cursors.
+Thumbnails of all the parts of a theme are shown in the GUI making
+Theme selection and tweaking much simpler than the built-in way using
+three seperate dialogs.
+
+This requires gtkdialog and zenity both available on Slackbuilds.org.
+
diff --git a/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.SlackBuild b/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.SlackBuild
new file mode 100644
index 0000000000..fe65481834
--- /dev/null
+++ b/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for Xfce-Theme-Manager
+
+# Copyright 2012 K.D.Hedger
+# kdhedger@yahoo.co.uk
+#
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Xfce-Theme-Manager
+VERSION=${VERSION:-0.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf ${TMP}/$PRGNAM-$VERSION
+mkdir -p ${TMP}/$PRGNAM-$VERSION
+
+cd ${TMP}/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tar.gz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/doc $PKG/usr/share/applications
+
+cd gtkpreview
+ sed -i "s,-O3,$SLKCFLAGS," Makefile
+ make install PREFIX=/usr DESTDIR=$PKG
+cd ..
+
+cp xfce-theme-manager ${PKG}/usr/bin/xfce-theme-manager
+cp Xfce-Theme-Manager.desktop ${PKG}/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.info b/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.info
new file mode 100644
index 0000000000..09bb0b0242
--- /dev/null
+++ b/desktop/Xfce-Theme-Manager/Xfce-Theme-Manager.info
@@ -0,0 +1,10 @@
+PRGNAM="Xfce-Theme-Manager"
+VERSION="0.0.5"
+HOMEPAGE="http://keithhedger.hostingsiteforfree.com"
+DOWNLOAD="http://keithhedger.hostingsiteforfree.com/zips/Xfce-Theme-Manager.tar.gz"
+MD5SUM="ef53bf40210fba6b2f90e30dd8754254"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="K.D.Hedger"
+EMAIL="kdhedger@yahoo.co.uk"
+APPROVED="dsomero"
diff --git a/desktop/Xfce-Theme-Manager/doinst.sh b/desktop/Xfce-Theme-Manager/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/Xfce-Theme-Manager/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/Xfce-Theme-Manager/slack-desc b/desktop/Xfce-Theme-Manager/slack-desc
new file mode 100644
index 0000000000..30670961e8
--- /dev/null
+++ b/desktop/Xfce-Theme-Manager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Xfce-Theme-Manager: Xfce-Theme-Manager (Xfce4 Theme Manager GUI)
+Xfce-Theme-Manager:
+Xfce-Theme-Manager: An integrated GUI to set the various parts of an Xfce4 theme.
+Xfce-Theme-Manager: Including Meta-themes,Window borders, Gtk controls,Icons and cursors.
+Xfce-Theme-Manager: Thumbnails of all the parts of a theme are shown in the GUI making
+Xfce-Theme-Manager: Theme selection and tweaking much simpler than the built-in way using
+Xfce-Theme-Manager: three seperate dialogs.
+Xfce-Theme-Manager: A Cutom thumbnail is also generated.
+Xfce-Theme-Manager:
+Xfce-Theme-Manager: Homepage: http://keithhedger.hostingsiteforfree.com
+Xfce-Theme-Manager: